package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DelegheSepa.
 * @see sicura.entities.DelegheSepa
 * @author Hibernate Tools
 */
@Stateless
public class DelegheSepaHome {

	private static final Log log = LogFactory.getLog(DelegheSepaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DelegheSepa transientInstance) {
		log.debug("persisting DelegheSepa instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DelegheSepa persistentInstance) {
		log.debug("removing DelegheSepa instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DelegheSepa merge(DelegheSepa detachedInstance) {
		log.debug("merging DelegheSepa instance");
		try {
			DelegheSepa result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DelegheSepa findById(Integer id) {
		log.debug("getting DelegheSepa instance with id: " + id);
		try {
			DelegheSepa instance = entityManager.find(DelegheSepa.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
